// ＡＩＧライブラリ　基本関数：環境変数関数
//	Copyright (C) 1989-1993 by AIG-SOFT

#ifndef	__AIG_ENV__
#define	__AIG_ENV__	1

#include <stdio.h>
#include "deftype.h"

#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif

#ifdef	__PROTO_TYPE
	unchar	*getenv2(const unchar *,const unchar *);
	
	int	env_name_set(unchar *,const unchar *,const unchar *);
	int	env_atoi(unchar *,int);
	int	fenv_atoi(FILE *,const unchar *,int);
	int	fsearch_env_check(unchar *,unchar *,unchar *,unchar *,unchar *);
	int	fsearch_env(unchar *,unchar *,unchar *);
	int	search_env_area(int *,int );
	
	void	ext_env_check(unchar *,unchar *,unchar *,unchar *,unchar *);
	void	env_fname_set(unchar *,const unchar *,const unchar *,const unchar *);
#else
	unchar	*getenv2();
	
	int	env_name_set();
	int	env_atoi();
	int	fenv_atoi();
	int	fsearch_env_check();
	int	fsearch_env();
	int	search_env_area();
	
	void	ext_env_check();
	void	env_fname_set();
#endif
#ifdef	__cplusplus
}
#endif

#endif
